# FoundationClasses
TKMath
TopLoc

# TopLoc_MapLocationHasher Class Reference

`#include <TopLoc_MapLocationHasher.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Integer | HashCode (const TopLoc_Location &K, const Standard_Integer Upper)
static Standard_EXPORT Standard_Boolean | IsEqual (const TopLoc_Location &K1, const TopLoc_Location &K2)

## Member Function Documentation

static Standard_EXPORT Standard_Integer TopLoc_MapLocationHasher::HashCode | ( | const TopLoc_Location & | K,
|  | const Standard_Integer | Upper
| ) | `[static]`

static Standard_EXPORT Standard_Boolean TopLoc_MapLocationHasher::IsEqual | ( | const TopLoc_Location & | K1,
|  | const TopLoc_Location & | K2
| ) | `[static]`

void TopLoc_MapLocationHasher::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TopLoc_MapLocationHasher::operator new | ( | size_t | size | ) | `[inline]`

void* TopLoc_MapLocationHasher::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- TopLoc_MapLocationHasher.hxx